- Main Page
- Data Structures
- Files
- Directories

- Search for |

- Alphabetical List
- Data Structures
- Data Fields

# dos_partition Struct Reference

`#include <hd.h>`

## Data Fields
unsigned char | dp_ecyl
unsigned char | dp_ehd
unsigned char | dp_esect
unsigned char | dp_flag
unsigned char | dp_scyl
unsigned char | dp_shd
uInt32 | dp_size
unsigned char | dp_ssect
uInt32 | dp_start
unsigned char | dp_type

## Detailed Description

Definition at line 71 of file hd.h.

## Field Documentation

unsigned char dos_partition::dp_ecyl

Definition at line 79 of file hd.h.

unsigned char dos_partition::dp_ehd

Definition at line 77 of file hd.h.

unsigned char dos_partition::dp_esect

Definition at line 78 of file hd.h.

unsigned char dos_partition::dp_flag

Definition at line 72 of file hd.h.

unsigned char dos_partition::dp_scyl

Definition at line 75 of file hd.h.

unsigned char dos_partition::dp_shd

Definition at line 73 of file hd.h.

uInt32 dos_partition::dp_size

Definition at line 81 of file hd.h.

unsigned char dos_partition::dp_ssect

Definition at line 74 of file hd.h.

uInt32 dos_partition::dp_start

Definition at line 80 of file hd.h.

Referenced by initHardDisk().

unsigned char dos_partition::dp_type

Definition at line 76 of file hd.h.

The documentation for this struct was generated from the following file:

- src/sys/include/pci/hd.h